---
title: <set>
slug: Web/SVG/Element/set
tags:
  - Element
  - SVG
  - SVG Animation
---
<div>{{SVGRef}}</div>

<p>The SVG <strong><code>&lt;set&gt;</code></strong> element provides a simple means of just setting the value of an attribute for a specified duration.</p>

<p>It supports all attribute types, including those that cannot reasonably be interpolated, such as string and boolean values. For attributes that can be reasonably be interpolated, the {{SVGElement('animate')}} is usualy prefered.</p>

<p class="notecard note"><strong>Note:</strong> The <code>&lt;set&gt;</code> element is non-additive. The {{SVGAttr('additive')}} and {{SVGAttr('accumulate')}} attributes are not allowed, and will be ignored if specified.</p>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100%; margin:0; padding:0; }</pre>
</div>

<pre class="brush: html; highlight[8]">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;style&gt;
    rect { cursor: pointer }
    .round { rx: 5px; fill: green; }
  &lt;/style&gt;

  &lt;rect id="me" width="10" height="10"&gt;
    &lt;set attributeName="class" to="round" begin="me.click" dur="2s" /&gt;
  &lt;/rect&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("to")}}</dt>
 <dd>This attribute defines the value to be applied to the target attribute for the duration of the animation. The value must match the requirements of the target attribute.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Anything"><strong>&lt;anything&gt;</strong></a>; <em>Default value</em>: none; <em>Animatable</em>: <strong>no</strong></small></dd>
</dl>

<h3 id="Animation_Attributes">Animation Attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute#Animation_Timing_Attributes">Animation timing attributes</a></dt>
 <dd><small>{{SVGAttr("begin")}}, {{SVGAttr("dur")}}, {{SVGAttr("end")}}, {{SVGAttr("min")}}, {{SVGAttr("max")}}, {{SVGAttr("restart")}}, {{SVGAttr("repeatCount")}}, {{SVGAttr("repeatDur")}}, {{SVGAttr("fill")}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute#Animation_Attributes">Other Animation attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("attributeName")}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Events#Animation_Event_Attributes">Animation event attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("onbegin")}}, {{SVGAttr("onend")}}, {{SVGAttr("onrepeat")}}</small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#SetElement", "&lt;set&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'animate.html#SetElement', '&lt;set&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.set")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("animate")}}</li>
</ul>
